//////SOURCE///////////main.cpp////////////////////////
/// Catmull demo                                    ///
///     Version 02/2005      By Grgory Smialek     ///
///////////www.texel.fr.fm//////texel@fr.fm////////////

#include"main.h"
#include"init.h"
#include"gldisplay.h"

MyTrajectory Trajectoire;


void UpdateScene(void)
{
  Uint8* keys;
  
  keys = SDL_GetKeyState(NULL);
    
  if ( keys[SDLK_ESCAPE] )
  {
    QuitApplication( 0 );
  }  
  else
  {
    CatmullUpdate(Trajectoire.speed * (mMyTime_Demo_Present - mMyTime_Demo_Last), &(Trajectoire));
    CatmullGivePosition(&(Trajectoire));
    mMyTime_Demo_Last = mMyTime_Demo_Present;
  }    

}

static void process_events( void )
{
  SDL_Event event;

  while( SDL_PollEvent( &event ) ) 
  {
    switch( event.type ) 
    {
      case SDL_QUIT:
        QuitApplication( 0 );
        break;
    }
  }
}


//////////////////////////////////////////
///             MAIN                   ///
//////////////////////////////////////////
int main( int argc, char* argv[] )
{   
  InitSDL(640,480);
  InitOpengl(640,480);
  InitApplication();

  while( 1 )
  {
    MyTime_GetTime();
    process_events( );
    UpdateScene();
    DrawGLScene( );
  }
  return 0;
}



