//////HEADER/////////////mytime.h//////////////////////////
/// Time module                                         ///
/// Module de gestion du temps      			        ///
///     Version 07/2002      Par Grgory Smialek        ///
///////////www.texel.fr.fm//////texel@fr.fm////////////////


#ifdef __cplusplus
extern "C" {
#endif

//#ifndef _MYTIME_H
//#define _MYTIME_H

#include <windows.h>
#include <time.h>

//////////// Usefull variable /////////

extern int    mMyTime_Myfps;	      // Current FPS number
extern float  mMyTime_Demo_Initial;   // You can use it in the beginning
// Example: mMyTime_Demo_Initial = MyTime_GetTime();
extern float  mMyTime_Demo_Present;   // Currente time 
extern float  mMyTime_Demo_Elapsed;   // Elapsed time
extern float  mMyTime_Demo_Last;   // Last time

// Time: MM:SS:mm
extern int   mMyTime_MilliSecond_1; // Time since MyTime_GetTime2()
extern int   mMyTime_Second_1;
extern int   mMyTime_Minute_1;

extern int   mMyTime_MilliSecond_10;
extern int   mMyTime_Second_10;
extern int   mMyTime_Minute_10;

//////////// Not Usefull variable /////////

extern clock_t mMyTime_precedent;

extern int   mMyTime_fps_count;	
extern float mMyTime_tps;

//////////// Function ////////////////

int   MyTime_GiveFps(void);  // Compute and give the FPS
float MyTime_GetTime(void);  // Initialize and Compute time
float MyTime_GetTime2(void); // Initialize and Compute time


//#endif	/* _MYTIME_H */

#ifdef __cplusplus
};
#endif
