//////SOURCE///////////init.cpp////////////////////////
/// Catmull demo                                    ///
/// Initialization                                  ///
///     Version 02/2005      By Grgory Smialek     ///
///////////www.texel.fr.fm//////texel@fr.fm////////////

#include"init.h"




void InitApplication(void)
{
  LoadObjectPath("trajectoire.txt", &Trajectoire);
  mMyTime_Demo_Initial = MyTime_GetTime();
}

void QuitApplication( int code )
{
  SDL_Quit( );
  exit( code );
}

void InitOpengl( int width, int height )
{
  float ratio = (float) width / (float) height;

  glShadeModel( GL_SMOOTH );
  glCullFace( GL_BACK );
  glFrontFace( GL_CCW );
  glEnable( GL_CULL_FACE );

  glClearColor( 0, 0, 0, 0 );

  glViewport( 0, 0, width, height );

  glMatrixMode( GL_PROJECTION );
  glLoadIdentity( );
  glOrtho(0.0f,640,480,0.0f,-1.0f,1.0f);	
}


void InitSDL( int width, int height )
{
  const SDL_VideoInfo* info = NULL;
  int bpp = 0;
  int flags = 0;
    
  if( SDL_Init( SDL_INIT_VIDEO ) < 0 ) {
    fprintf( stderr, "Video initialization failed: %s\n",
    SDL_GetError( ) );
    QuitApplication( 1 );
  }

  info = SDL_GetVideoInfo( );

  if( !info ) {
    fprintf( stderr, "Video query failed: %s\n",
    SDL_GetError( ) );
    QuitApplication( 1 );
  }

  bpp = info->vfmt->BitsPerPixel;

  SDL_GL_SetAttribute( SDL_GL_RED_SIZE, 5 );   
  SDL_GL_SetAttribute( SDL_GL_GREEN_SIZE, 5 );
  SDL_GL_SetAttribute( SDL_GL_BLUE_SIZE, 5 );
  SDL_GL_SetAttribute( SDL_GL_DEPTH_SIZE, 16 );
  SDL_GL_SetAttribute( SDL_GL_DOUBLEBUFFER, 1 );    // oui

  //flags = SDL_OPENGL | SDL_FULLSCREEN;
  flags = SDL_OPENGL;

  if( SDL_SetVideoMode( width, height, bpp, flags ) == 0 )
  {
    fprintf( stderr, "Video mode set failed: %s\n",
    SDL_GetError( ) );
    QuitApplication( 1 );
  }
  SDL_ShowCursor(0);               
}


