//////SOURCE/////////////mytime.cpp////////////////////////
/// Time module                                         ///
/// Module de gestion du temps      			        ///
///     Version 07/2002      Par Grgory Smialek        ///
///////////www.texel.fr.fm//////texel@fr.fm////////////////

#include "mytime.h"

clock_t mMyTime_precedent;

float mMyTime_Demo_Elapsed;
float mMyTime_Demo_Initial;
float mMyTime_Demo_Present;
float mMyTime_Demo_Last;

int mMyTime_MilliSecond_1;
int mMyTime_Second_1;
int mMyTime_Minute_1;

int mMyTime_MilliSecond_10;
int mMyTime_Second_10;
int mMyTime_Minute_10;

int   mMyTime_fps_count = 0;	
float mMyTime_tps = 0.0;
int   mMyTime_Myfps = 0;			// nbr de fps


int MyTime_GiveFps(void)
{
	mMyTime_tps += mMyTime_Demo_Elapsed;
	if(mMyTime_tps < 1.0)
		mMyTime_fps_count += 1;
	else
	{
		mMyTime_Myfps = mMyTime_fps_count;
		mMyTime_fps_count = 0;
		mMyTime_tps = 0.0;
	}
	return mMyTime_Myfps;
}



float MyTime_GetTime(void)
{
	clock_t nouveau_temps;

	nouveau_temps = clock();

	///
	mMyTime_Demo_Elapsed = (float) nouveau_temps- mMyTime_precedent;
	mMyTime_precedent       = nouveau_temps;
	mMyTime_Demo_Elapsed = (mMyTime_Demo_Elapsed / (float)CLOCKS_PER_SEC);
	///

	mMyTime_Demo_Present=(nouveau_temps / (float)CLOCKS_PER_SEC);

	return mMyTime_Demo_Present;
}


float MyTime_GetTime2(void)
{
	clock_t nouveau_temps;
	int mTime_MilliSecond;
	int mTime_Second;
	int mTime_Minute;

	nouveau_temps = clock();

	///
	mMyTime_Demo_Elapsed= (float) nouveau_temps- mMyTime_precedent;
	mMyTime_precedent = nouveau_temps;
	mMyTime_Demo_Elapsed=(mMyTime_Demo_Elapsed / (float)CLOCKS_PER_SEC);
	///

	mMyTime_Demo_Present=(nouveau_temps / (float)CLOCKS_PER_SEC);

	mTime_MilliSecond=(int)100*(int)(mMyTime_Demo_Present-((int)mMyTime_Demo_Present));
	mMyTime_MilliSecond_10=(int)mTime_MilliSecond/10; 
	mMyTime_MilliSecond_1 =mTime_MilliSecond-(mMyTime_MilliSecond_10*10);

	mTime_Second= (int)mMyTime_Demo_Present;	

	mTime_Minute= (int)mMyTime_Demo_Present/60;
	mMyTime_Minute_10 = mTime_Minute/10;
	mMyTime_Minute_1  = mTime_Minute-(mMyTime_Minute_10*10);

	mTime_Second= (int)mTime_Second-(mTime_Minute*60);
	mMyTime_Second_10=(int)mTime_Second/10;
	mMyTime_Second_1=(int)mTime_Second-(mMyTime_Second_10*10);

	return mMyTime_Demo_Present;
}


